// (C) Copyright Exoligent 2017.
// Authors and Contributors: Maxime Coroyer
#ifndef _ENUMCOMMON_H_
#define _ENUMCOMMON_H_

typedef enum {
    XML = 0,
    CNF
} EXO_FILE_TYPE;

typedef enum
{ 
    PCI_FIP = 1,        // PCI
    PCIE_FIP,           // PCI Express
    PCI104_FIP,         // PCI 104
    PCIE104_FIP,        // PCI Express 104
    PXI_FIP,            // PXI
    PXIE_FIP,           // PXI Express
    PCI_OPT_FIP,        // Optical PCI
    PCIE_OPT_FIP,       // Optical PCI Express
    PCI104_OPT_FIP,     // Optical PCI 104
    PCIE104_OPT_FIP,    // Optical PCI Express 104
    PXI_OPT_FIP,        // Optical PXI
    PXIE_OPT_FIP,       // Optical PXI Express
    MOBI_FIP,           // USB
    UNKNOWN_TYPE,
    MAX_TYPE = UNKNOWN_TYPE,
    MIN_PCI_TYPE = PCI_FIP,
    MAX_PCI_TYPE = PXIE_OPT_FIP
} EXO_DEVICE_TYPE;

typedef enum {
    SPEED_31K25 = 0,
    SPEED_1M,
    SPEED_2M5,
    SPEED_5M,
    UNKNOWN_SPEED
} FIP_SPEED;

typedef enum {
    IMPEDANCE_150 = 0,
    IMPEDANCE_120,
    UNKNOWN_IMPEDANCE
} FIP_IMPEDANCE;

typedef enum {
    FRAME_TYPE_FIP = 0,
    FRAME_TYPE_WORLDFIP,
    FRAME_TYPE_SLOWFIP,
    UNKNOWN_FRAME_TYPE
} FIP_FRAME_TYPE;

typedef enum {
    BLACK = 0,
    BLUE,
    GREEN,
    BLUE_SKY,
    RED,
    FUSCHIA,
    YELLOW,
    WHITE
} LED_RGB_COLOR;

typedef enum {
    MEDIUM_CLR_CHANNELS_ERR = 0x0010,
    MEDIUM_RST_CH1 = 0x0020,
    MEDIUM_RST_CH2 = 0x0040,
    MEDIUM_ACTIVATE_CH1 = 0x0009,
    MEDIUM_ACTIVATE_CH2 = 0x0006,
    MEDIUM_ACTIVATE_CH1_AND_CH2 = 0x0005
} MEDIUM_CMD;

typedef enum {
    IDLE = 0,
    IN_PROGRESS,
    COMPLETE,
    ABORTED
} FILE_TRANSFER_STATE;

//***************************************************************************************
//
//                          EXOLIGENT SOFTWARE ENUMERATION
//
//***************************************************************************************
typedef enum 
{ 
    FIPCORE,        // FipCore basic license 
    FIPCOREPLUS,    // FipCore extended license (FipBusView, OPC UA)
    FIPLABS,        // FipLabs basic license
} EXO_SOFT_TYPE;
#endif